Subject: [PATCH] gnu: julia: update to 1.6.7
From: Jean-Baptiste Volatier <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 21 Aug 2022 17:49:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/julia.scm (julia): Update to 1.6.7

Hello,
This updates julia to 1.6.7. I did not have time to run the full test suite
(and I only have access to x86_64) yet but it seems to run fine.

I also have another WIP variant of this patch that builds against the git
checkout and where the stdlibs are de-vendored and have their own guix packages.
Personally I find it a bit more elegant than the current tarball
release that we are using and its bundled tarballs of out-of-tree dependencies.

If this is of interest I can finish it up and send it. Otherwise I'll 
continue to work on julia 1.8.

Best regards,
JB

---
 gnu/packages/julia.scm | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/julia.scm b/gnu/packages/julia.scm
index 0bdac66175..3b254f937a 100644
--- a/gnu/packages/julia.scm
+++ b/gnu/packages/julia.scm
@@ -139,7 +139,7 @@ (define-public libwhich
 (define-public julia
   (package
     (name "julia")
-    (version "1.6.3")
+    (version "1.6.7")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -147,7 +147,7 @@ (define-public julia
                     version "/julia-" version ".tar.gz"))
               (sha256
                (base32
-                "1515x8fs25l3f9csbmd1v4nm041zvjnvigy6s5iidy4yrkwdx4r5"))
+                "0q9xgdpvdkskpzl294w215f6c15c5jk276c9dah5f5w4np3ivbvl"))
               (patches
                (search-patches "julia-SOURCE_DATE_EPOCH-mtime.patch"
                                "julia-allow-parallel-build.patch"))))
@@ -206,6 +206,10 @@ (define-public julia
              (substitute* "base/Makefile"
                (("\\$\\$\\(build_depsbindir\\)/libwhich")
                 (search-input-file inputs "/bin/libwhich")))))
+         (add-after 'unpack 'activate-gnu-source-for-loader
+           (lambda* (#:key inputs #:allow-other-keys)
+             (substitute* "cli/Makefile"
+                          (("LOADER_CFLAGS =") "LOADER_CFLAGS = -D_GNU_SOURCE"))))
          (add-after 'unpack 'change-number-of-precompile-statements
            (lambda _
              ;; Remove nss-certs drops the number of statements below 1200,
@@ -447,6 +451,7 @@ (define-public julia
                      ("" "$JULIA_DEPOT_PATH"))))))))
        #:make-flags
        (list
+        "VERBOSE=1" ;; more helpful logging of what make is doing
         (string-append "prefix=" (assoc-ref %outputs "out"))
 
          ;; Passing the MARCH or JULIA_CPU_TARGET flag is necessary to build

base-commit: 706b3ef38b2f7ce9f05aa56e2eaaaf1c19e25f90
-- 
2.37.1